<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Belajar Ng1</title>
</head>
<body>

<div ng-include="'views/headerapps.html'"></div>

<!--menggunakan directive ng-click-->
<div class="content">

  <button ng-click="orderedtype = 'name'">Order by Name</button>
  <button ng-click="orderedtype = '-rate'">Order by Rate</button>

  <!--ng repeat dengan currency dan juga fraction nya dihilangkan dengan directive-->
  <input type="text" ng-model="search.name" placeholder="kata pencarian">

  <div>
    <ul>
      <li ng-repeat="itemtekno in homebelajar3.teknologiwebObj | orderBy: orderedtype | filter: search"
          ng-show="itemtekno.available">

        <img class="imgstylelist" ng-src="{{itemtekno.imgs}}" alt="thumb" ng-show="itemtekno.imgs">
        <h3>{{itemtekno.name}} - {{itemtekno.rate | currency: 'IDR ':0}}</h3>
        <div class="remove" ng-click="homebelajar3.removeFramework(itemtekno)">x</div>
        <span class="belt" style="background: {{itemtekno.tipewarna}}">{{itemtekno.tipewarna}}</span>

      </li>
    </ul>

    <form ng-submit="homebelajar3.addNewFramework()">
      <input type="text" placeholder="nama framework" ng-model="homebelajar3.teknologiItem.name">
      <input type="text" placeholder="tipewarna" ng-model="homebelajar3.teknologiItem.tipewarna">
      <input type="text" placeholder="rating" ng-model="homebelajar3.teknologiItem.rate">
      <input type="submit" value="Add Framework">
    </form>
  </div>

</div>
</body>
</html>
